Index: Singular/cntrlc.h
===================================================================
--- Singular/cntrlc.h	(revision 4969bd84679f00e0090770de53eae064004f1330)
+++ Singular/cntrlc.h	(revision 2e385da3d970dddc3e7eca03cf240324f04a7567)
@@ -14,5 +14,5 @@
 EXTERN_VAR short si_restart;
 EXTERN_VAR int siRandomStart;
-void init_signals();
+void init_signals(void);
 
 EXTERN_VAR BOOLEAN singular_in_batchmode;
Index: kernel/mod2.h
===================================================================
--- kernel/mod2.h	(revision 4969bd84679f00e0090770de53eae064004f1330)
+++ kernel/mod2.h	(revision 2e385da3d970dddc3e7eca03cf240324f04a7567)
@@ -124,5 +124,5 @@
 #endif
 
-static inline void HALT() { m2_end(2);}
+static inline void HALT(void) { m2_end(2);}
 
 /* define OLD_RES for res/sres/mres(i,j,k) */
@@ -374,5 +374,5 @@
 /* within a debugger, set a breakpoint on dErrorBreak
 * which is called after the error has been reported */
-extern void dErrorBreak();
+extern void dErrorBreak(void);
 #ifdef __cplusplus
 }
Index: kernel/oswrapper/fereadl.c
===================================================================
--- kernel/oswrapper/fereadl.c	(revision 4969bd84679f00e0090770de53eae064004f1330)
+++ kernel/oswrapper/fereadl.c	(revision 2e385da3d970dddc3e7eca03cf240324f04a7567)
@@ -826,8 +826,8 @@
 /* ===================================================================*/
 #if defined(HAVE_READLINE) && !defined(HAVE_FEREAD) && !defined(HAVE_DYN_RL)
-extern int history_total_bytes();
+extern int history_total_bytes(void);
 extern int write_history (const char *);
 #endif
-void fe_reset_input_mode ()
+void fe_reset_input_mode (void)
 {
 #if defined(HAVE_DYN_RL)
Index: kernel/oswrapper/rlimit.h
===================================================================
--- kernel/oswrapper/rlimit.h	(revision 4969bd84679f00e0090770de53eae064004f1330)
+++ kernel/oswrapper/rlimit.h	(revision 2e385da3d970dddc3e7eca03cf240324f04a7567)
@@ -15,5 +15,5 @@
 #endif
 
-int raise_rlimit_nproc();
+int raise_rlimit_nproc(void);
 
 #ifdef __cplusplus
Index: libpolys/misc/sirandom.h
===================================================================
--- libpolys/misc/sirandom.h	(revision 4969bd84679f00e0090770de53eae064004f1330)
+++ libpolys/misc/sirandom.h	(revision 2e385da3d970dddc3e7eca03cf240324f04a7567)
@@ -5,7 +5,7 @@
 #endif
 EXTERN_VAR int siSeed;
-int siRand();
+int siRand(void);
 
-typedef int (*siRandProc)();
+typedef int (*siRandProc)(void);
 typedef int (*siRandProc1)(int);
 int siRandNext(int);
Index: omalloc/omBin.h
===================================================================
--- omalloc/omBin.h	(revision 4969bd84679f00e0090770de53eae064004f1330)
+++ omalloc/omBin.h	(revision 2e385da3d970dddc3e7eca03cf240324f04a7567)
@@ -15,5 +15,5 @@
 #define omDeleteSpecBin(bin_ptr) _omUnGetSpecBin(bin_ptr, 1)
 void _omUnGetSpecBin(omBin *bin, int force);
-long omGetUsedBinBytes();
+long omGetUsedBinBytes(void);
 
 omBin omGetStickyBinOfBin(omBin bin);
@@ -25,5 +25,5 @@
 void omDeleteStickyBinTag(omBin bin, unsigned long sticky);
 
-unsigned long omGetNewStickyAllBinTag();
+unsigned long omGetNewStickyAllBinTag(void);
 void omSetStickyAllBinTag(unsigned long sticky);
 void omUnSetStickyAllBinTag(unsigned long sticky);
Index: omalloc/omBinPage.h
===================================================================
--- omalloc/omBinPage.h	(revision 4969bd84679f00e0090770de53eae064004f1330)
+++ omalloc/omBinPage.h	(revision 2e385da3d970dddc3e7eca03cf240324f04a7567)
@@ -83,5 +83,5 @@
  *******************************************************************/
 extern omBinPage omAllocBinPages(int how_many);
-extern omBinPage omAllocBinPage();
+extern omBinPage omAllocBinPage(void);
 
 extern void omFreeBinPages(omBinPage page, int how_many);
Index: omalloc/omError.h
===================================================================
--- omalloc/omError.h	(revision 4969bd84679f00e0090770de53eae064004f1330)
+++ omalloc/omError.h	(revision 2e385da3d970dddc3e7eca03cf240324f04a7567)
@@ -56,5 +56,5 @@
 
 /* this is a dummy function and used as default for om_Opts.ErrorHook */
-extern void omErrorBreak();
+extern void omErrorBreak(void);
 
 #ifndef OM_NDEBUG
Index: omalloc/omOpts.h
===================================================================
--- omalloc/omOpts.h	(revision 4969bd84679f00e0090770de53eae064004f1330)
+++ omalloc/omOpts.h	(revision 2e385da3d970dddc3e7eca03cf240324f04a7567)
@@ -19,7 +19,7 @@
   int MarkAsStatic;
   unsigned int PagesPerRegion;
-  void (*OutOfMemoryFunc)();
-  void (*MemoryLowFunc)();
-  void (*ErrorHook)();
+  void (*OutOfMemoryFunc)(void);
+  void (*MemoryLowFunc)(void);
+  void (*ErrorHook)(void);
 };
 extern omOpts_t om_Opts;
Index: omalloc/omStats.h
===================================================================
--- omalloc/omStats.h	(revision 4969bd84679f00e0090770de53eae064004f1330)
+++ omalloc/omStats.h	(revision 2e385da3d970dddc3e7eca03cf240324f04a7567)
@@ -35,12 +35,12 @@
 
 /* returns a copy of omallinfo struct */
-extern struct omInfo_s omGetInfo();
+extern struct omInfo_s omGetInfo(void);
 /* the struct itself which is always up-to-date */
 /* use read-only */
 extern struct omInfo_s om_Info;
 /* update the global info struct */
-extern void omUpdateInfo();
+extern void omUpdateInfo(void);
 /* initialize such that sbrk can be measured */
-extern void omInitInfo();
+extern void omInitInfo(void);
 extern void omPrintStats(FILE* fd);
 extern void omPrintInfo(FILE* fd);
